package com.gingersoft.gsa.cloud.table.mvp.action.discount;

import android.app.Activity;
import com.gingersoft.gsa.cloud.common.core.discount.MemberCoupon;
import com.gingersoft.gsa.cloud.common.patterns.Strategy;
import com.gingersoft.gsa.cloud.order.discount.NomalDiscount;
import java.util.List;

/**
 * @author : bin
 * @create date: 2020-10-27
 * @update date: 2020-10-27
 * @description:賬單優惠券邏輯
 */
public class BillCouponAction implements Strategy<MemberCoupon> {

    private Activity mContext;

    /**
     * 賬單優惠券列表
     */
    private List<NomalDiscount> mNomalDiscountList;

    private OnCallBackListener mListener;

    public BillCouponAction(Activity context, OnCallBackListener listener) {
        this.mContext = context;
        this.mListener = listener;
    }

    public void setNomalDiscountList(List<NomalDiscount> nomalDiscountList) {
        this.mNomalDiscountList = nomalDiscountList;
    }

    @Override
    public void action(MemberCoupon discount) {
        if (mListener == null) {
            return;
        }


    }

    @Override
    public void destroy() {

    }

    private void exclusiveDiscount(MemberCoupon discount) {
        if (mListener != null) {
        }
    }

    public interface OnCallBackListener {

        void exclusiveRemoveOthers(List<NomalDiscount> nomalDiscountList);

        void preformAddDiscount(MemberCoupon discount);
    }

}
